### Type parameters

- #### PubF: KeyFormat

- #### PrivF: KeyFormat

### Hierarchy

- RSAKeyPairOptions

## Index

### Properties

- modulusLength
- privateKeyEncoding
- publicExponent
- publicKeyEncoding

## Properties

### modulusLength

modulusLength: number

- Defined in node_modules/@types/node/crypto.d.ts:445

Key size in bits

### privateKeyEncoding

privateKeyEncoding: BasePrivateKeyEncodingOptions<PrivF> & object

- Defined in node_modules/@types/node/crypto.d.ts:455

### Optional publicExponent

publicExponent: undefined | number

- Defined in node_modules/@types/node/crypto.d.ts:449

default

  0x10001

### publicKeyEncoding

publicKeyEncoding: object

- Defined in node_modules/@types/node/crypto.d.ts:451

#### Type declaration

- ##### format: PubF

- ##### type: "pkcs1" | "spki"

Generated using TypeDoc